{"openapi":"3.0.1","info":{"title":"5GMETA Driver status and Information API","description":"This is a sample API that should be usefull for deign the 5g-META APIs.","termsOfService":"https://5gmeta-project.eu/terms/","contact":{"email":"info@5gmeta-project.eu"},"license":{"name":"Apache 2.0","url":"http://www.apache.org/licenses/LICENSE-2.0.html"},"version":"0.0.5"},"servers":[{"url":"https://5gmeta-project.eu/api/driverstatusinformation/v0.0.5"}],"tags":[{"name":"driverinformationandstatus","description":"The data related to the driver are included in this category. These data can be either dynamic (as the health status of a driver) or static data (as a driver’s preferences for some specific services). This information subtends some sensitive aspects too, so specific rules about the collection should be designed. The health status and the driver fatigue are however pivotal for the implementation of safety related use cases."}],"paths":{"/driverstatusinformation":{"post":{"tags":["driverinformationandstatus"],"summary":"Driver Information and Status","description":"Driver Information and Status","operationId":"addTripInformationdata","requestBody":{"description":"Trip Information data","content":{"application/json":{"schema":{"$ref":"#/components/schemas/TripInformationData"}}},"required":true},"responses":{"200":{"description":"OK","content":{}},"405":{"description":"Invalid input","content":{}}}}}},"components":{"schemas":{"Location":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"longitude":{"type":"number"},"latitude":{"type":"number"}},"xml":{"name":"Location"}},"Tag":{"type":"object","properties":{"id":{"type":"integer","format":"int64"},"name":{"type":"string"}},"xml":{"name":"Tag"}},"DriverInformationData":{"type":"object","properties":{"id":{"type":"integer"},"name":{"type":"string"},"typeOfSensor":{"type":"string"},"data":{"type":"array","items":{"type":"string"}}},"xml":{"name":"DriverInformationData"}},"TripInformationData":{"type":"object","description":"information on the trip.","properties":{"id":{"type":"integer","format":"int64"},"vehicleId":{"type":"integer","format":"int64"},"startFrom":{"$ref":"#/components/schemas/Location"},"endTo":{"$ref":"#/components/schemas/Location"},"shipDate":{"type":"string","format":"date-time"},"status":{"type":"string","description":"Trip Status"},"driverInfo":{"$ref":"#/components/schemas/DriverInformationData"},"tags":{"type":"array","items":{"$ref":"#/components/schemas/Tag"}}},"xml":{"name":"TripInformationData"}}},"securitySchemes":{"petstore_auth":{"type":"oauth2","flows":{"implicit":{"authorizationUrl":"https://api.5gmeta-project.eu/oauth/dialog","scopes":{"write:pets":"modify Vehicular Data","read:pets":"read your Vicular Data"}}}},"api_key":{"type":"apiKey","name":"api_key","in":"header"}}},"externalDocs":{"description":"Find out more about Swagger","url":"https://5gmeta-project.eu"}}